Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lidotocidoc
Class parserOfMapping

    java.lang.Object
      lidotocidoc.parserOfMapping

    public class parserOfMapping

extends java.lang.Object

Field Summary
`java.util.ArrayList` | `elementsOfMapping`
`java.util.ArrayList<ElementObject>` | `extractingDataMapping`

Constructor Summary
`parserOfMapping()`

Method Summary
`static java.lang.String` | `getIntLink2NodeValue(org.w3c.dom.Element fstElmnt, java.lang.String node)`
`static java.lang.String` | `getSpesificNodeAttribute(org.w3c.dom.Element fstElmnt, java.lang.String node, java.lang.String attributeName)`
`static java.lang.String` | `getSpesificNodeValue(org.w3c.dom.Element fstElmnt, java.lang.String node)`
`org.w3c.dom.NodeList` | `getUriRules(java.io.File file, java.lang.String xpathExpression)`
`Condition` | `hasCondition(java.lang.String range_conditionPath, java.lang.String range_conditionhasValue, java.lang.String path_conditionPath, java.lang.String path_conditionhasValue)`
`ObjectClass` | `objectOfTriple(java.lang.String node, org.w3c.dom.NodeList uriFunctionName, org.w3c.dom.NodeList uriArguments, java.lang.String attribute)`
`void` | `parsing(java.io.File file)`
`void` | `printMap()`
`SubjectClass` | `subjectOfTriple(java.lang.String node, org.w3c.dom.NodeList uriFunctionName, org.w3c.dom.NodeList uriArguments)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extractingDataMapping

    public java.util.ArrayList<ElementObject> extractingDataMapping

### elementsOfMapping

    public java.util.ArrayList elementsOfMapping

Constructor Detail

### parserOfMapping

    public parserOfMapping()

Method Detail

### parsing

    public void parsing(java.io.File file)
                 throws javax.xml.xpath.XPathExpressionException,
                        javax.xml.parsers.ParserConfigurationException,
                        org.xml.sax.SAXException,
                        java.io.IOException

  Throws:
    `javax.xml.xpath.XPathExpressionException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### hasCondition

    public Condition hasCondition(java.lang.String range_conditionPath,
                                  java.lang.String range_conditionhasValue,
                                  java.lang.String path_conditionPath,
                                  java.lang.String path_conditionhasValue)

### printMap

    public void printMap()

### subjectOfTriple

    public SubjectClass subjectOfTriple(java.lang.String node,
                                        org.w3c.dom.NodeList uriFunctionName,
                                        org.w3c.dom.NodeList uriArguments)

### objectOfTriple

    public ObjectClass objectOfTriple(java.lang.String node,
                                      org.w3c.dom.NodeList uriFunctionName,
                                      org.w3c.dom.NodeList uriArguments,
                                      java.lang.String attribute)

### getUriRules

    public org.w3c.dom.NodeList getUriRules(java.io.File file,
                                            java.lang.String xpathExpression)
                                     throws javax.xml.parsers.ParserConfigurationException,
                                            org.xml.sax.SAXException,
                                            java.io.IOException,
                                            javax.xml.xpath.XPathExpressionException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.xpath.XPathExpressionException`

### getSpesificNodeValue

    public static java.lang.String getSpesificNodeValue(org.w3c.dom.Element fstElmnt,
                                                        java.lang.String node)

### getSpesificNodeAttribute

    public static java.lang.String getSpesificNodeAttribute(org.w3c.dom.Element fstElmnt,
                                                            java.lang.String node,
                                                            java.lang.String attributeName)

### getIntLink2NodeValue

    public static java.lang.String getIntLink2NodeValue(org.w3c.dom.Element fstElmnt,
                                                        java.lang.String node)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD